"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = exports.defaultContext = void 0;

var _react = _interopRequireDefault(require("react"));

var defaultContext = {
  renderChildren: function renderChildren() {
    throw new Error('There is no renderChildren method');
  },
  renderConfirmButton: function renderConfirmButton() {
    throw new Error('There is no renderConfirmButton method');
  },
  renderCancelButton: function renderCancelButton() {
    throw new Error('There is no renderCancelButton method');
  },
  renderComponent: function renderComponent() {
    throw new Error('There is no renderComponent method');
  },
  refId: null,
  routes: null
};
exports.defaultContext = defaultContext;

function getContextFromWindow() {
  if (window) {
    window.__canner_item_contenxt__ = window.__canner_item_contenxt__ || _react.default.createContext(defaultContext);
    return window.__canner_item_contenxt__;
  }

  return {};
}

var _default = typeof window === 'undefined' ? _react.default.createContext(defaultContext) : getContextFromWindow();

exports.default = _default;