"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.mapSchema = mapSchema;
exports.genDefaultValue = genDefaultValue;

function mapSchema(schemaMap, fn) {
  return Object.keys(schemaMap || {}).reduce(function (result, key) {
    result[key] = fn(schemaMap[key], key);
    return result;
  }, {});
}

function genDefaultValue(defaultValue) {
  if (typeof defaultValue === 'function') {
    return defaultValue();
  }

  return defaultValue;
}